# Update

Launch stage: GA

`PUT /api/2.0/accounts/{customer_facing_private_access_settings.account_id}/private-access-settings/{customer_facing_private_access_settings.private_access_settings_id}`

Updates an existing private access settings object, which specifies how your workspace is accessed over AWS PrivateLink. To use AWS PrivateLink, a workspace must have a private access settings object referenced by ID in the workspace's private_access_settings_id property.
 This operation completely overwrites your existing private access settings object attached to your workspaces. All workspaces attached to the private access settings are affected by any change. If public_access_enabled, private_access_level, or allowed_vpc_endpoint_ids are updated, effects of these changes might take several minutes to propagate to the workspace API.
 You can share one private access settings object with multiple workspaces in a single account. However, private access settings are specific to AWS regions, so only workspaces in the same AWS region can use a given private access settings object.
 Before configuring PrivateLink, read the <Databricks> article about PrivateLink.

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `customer_facing_private_access_settings` (object, optional)
  Properties of the new private access settings object.
  - `private_access_settings_id` (string, optional)
    <Databricks> private access settings ID.
  - `account_id` (string, optional)
    The <Databricks> account ID that hosts the private access settings.
  - `private_access_settings_name` (string, optional)
    The human-readable name of the private access settings object.
  - `region` (string, optional)
    The AWS region for workspaces attached to this private access settings object.
  - `public_access_enabled` (boolean, optional)
    Determines if the workspace can be accessed over public internet. For fully private workspaces, you can optionally specify false, but only if you implement both the front-end and the back-end PrivateLink connections. Otherwise, specify true, which means that public access is enabled.
  - `private_access_level` (string, optional)
    The private access level controls which VPC endpoints can connect to the UI or API of any workspace that attaches this private access settings object.
     `ACCOUNT` level access (the default) allows only VPC endpoints that are registered in your <Databricks> account connect to your workspace.
     `ENDPOINT` level access allows only specified VPC endpoints connect to your workspace. For details, see allowed_vpc_endpoint_ids.
    Possible values: `ENDPOINT`, `ACCOUNT`
  - `allowed_vpc_endpoint_ids` (array of string, optional)
    An array of Databricks VPC endpoint IDs. This is the <Databricks> ID that is returned when registering the VPC endpoint configuration in your <Databricks> account. This is not the ID of the VPC endpoint in AWS.
     Only used when private_access_level is set to ENDPOINT. This is an allow list of VPC endpoints that in your account that can connect to your workspace over AWS PrivateLink.
     If hybrid access to your workspace is enabled by setting public_access_enabled to true, this control only works for PrivateLink connections. To control how your workspace is accessed via public internet, see IP access lists.

## Returns

Returns the PrivateAccessSettings object.

## Response

```json
{
  "private_access_settings_id": "string",
  "account_id": "string",
  "private_access_settings_name": "string",
  "region": "string",
  "public_access_enabled": true,
  "private_access_level": "string",
  "allowed_vpc_endpoint_ids": [
    "string"
  ]
}
```

